#include <iostream>

using namespace std;

int main()
{
    int n,k;
    cin>>n>>k;
    int a[n];
    for(int i=0; i<n; i++)
    {
        cin>>a[i];
    }
    int pom=0;
    for(int i=0; i<n-1; i++)
    {
        for(int j=i+1; j<n; j++)
        {
            if(a[i]<a[j])
            {
                pom=a[i];
                a[i]=a[j];
                a[j]=pom;
            }
        }
    }
    /*for(int i=0; i<n; i++)
    {
        cout<<a[i];
    }*/
    int i=0;
    int j=0;
    int np=0;
    int l=0;
    int s=0;
    int broj[n];
    while(i<=n-1)
    {
        while(a[l]==a[j])
        {
            np++;
            l++;
        }
        i++;
        j=l+1;
        if(np>=k)
        {
            broj[s]=a[l-1];
            s++;
        }
        np=0;
        //cout<<1;
    }
    cout<<s<<endl;
    for(int i=0; i<s; i++)
    {
        cout<<broj[i]<<" ";
    }
    return 0;
}